Subject: Re: [TLS] Secdir last call review of draft-ietf-tls-exported-authenticator-13

From: Sean Turner <[email-masked]>
Date: Wed, 9 Dec 2020 22:30:43 -0500

> On Nov 5, 2020, at 09:59, Yaron Sheffer via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Yaron Sheffer
> Review result: Has Nits
> 
> It's been a long time...
> 
> My mail here [1] mentions two remaining open issues: a mention of QUIC and the
> code point.
> 
> The first (small) issue seems to have been forgotten.

You are right, how about:

OLD:

 The application layer protocol
 used to send the authenticator request SHOULD use TLS as its
 underlying transport to keep the request confidential

NEW:

 The application layer protocol
 used to send the authenticator request SHOULD use a secure
 channel with equivalent security to TLS, such as
 QUIC [ID.draft-ietf-quic-tls], as its underlying transport
 to keep the request confidential

I will also add an informative to QUIC via a PR.

> I believe the second issue has been addressed by the WG, with the introduction
> of a new message type.
> 
> [1] https://mailarchive.ietf.org/arch/msg/secdir/n54wuiSwCx9VqgSrrWvX_9FCoW0/

I believe it does as well.

spt